using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VINlib;

namespace VinLibTest
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string vinNumber = Console.ReadLine();

            //TestCheckVIN(vinNumber);

            //TestGetVINCountry(vinNumber);

            //TestGetTransportYear(vinNumber);
        }
        static void TestCheckVIN(string vinNumber)
        {
            if (VINlib.VinInfo.CheckVIN(vinNumber))
            {
                Console.WriteLine("true");
            }
            else
            {
                Console.WriteLine("false");
            }
            Console.ReadKey();
        }
        static void TestGetVINCountry(string vinNumber)
        {
            string country = VINlib.VinInfo.GetVINCountry(vinNumber);
            Console.WriteLine(country);

            Console.ReadKey();
        }
        static void TestGetTransportYear(string vinNumber)
        {
            int yearVin = VINlib.VinInfo.GetTransportYear(vinNumber);
            Console.WriteLine(yearVin);

            Console.ReadKey();
        }
    }
}
